#include "creaNumeros.h"
#include "detectaPrimos.h"
#include "detectaMenores.h"
#include<unistd.h>

int main() {
   CNumeros nuevo;
   CDetectaPrimo detector;
   CDetectaMenores detectorM(50);
   long x;

   QObject::connect(&nuevo, SIGNAL(nuevoPrimo(long)), &detector, SLOT(primoCapturado(long)));
   QObject::connect(&nuevo, SIGNAL(nuevoPrimo(long)), &detectorM, SLOT(esMenor(long)));
   
   for(;;){
      x = nuevo.crearNumeros();

      std::cout << "Numero: " << x << '\n';
      sleep(1);
   }

   return(0);
}

