#include <QtGui>

#include "dialogoSuma.h"

CDialogoSuma::CDialogoSuma(QWidget *parent)
    : QDialog(parent)
{
    this->etiqueta1 = new QLabel(tr("Sumando 1:"));
    this->etiqueta2 = new QLabel(tr("Sumando 2:"));
    this->etiqueta3 = new QLabel(tr("Resultado:"));
    this->resultado = new QLabel(tr("0"));
    this->sumando1 = new QLineEdit;
    this->sumando2 = new QLineEdit;


    this->botonSumar = new QPushButton(tr("&Sumar"));
    this->botonSumar->setDefault(true);
    this->botonSumar->setEnabled(true);

    this->botonFin = new QPushButton(tr("Salir"));

    connect(this->botonSumar, SIGNAL(clicked()),
          this, SLOT(sumarClicked()));
    connect(botonFin, SIGNAL(clicked()),
          this, SLOT(close()));

   QHBoxLayout *linea1 = new QHBoxLayout;
   linea1->addWidget(this->etiqueta1);
   linea1->addWidget(this->sumando1);

   QHBoxLayout *linea2 = new QHBoxLayout;
   linea2->addWidget(this->etiqueta2);
   linea2->addWidget(this->sumando2);


   QHBoxLayout *linea3 = new QHBoxLayout;
   linea3->addWidget(this->etiqueta3);
   linea3->addWidget(this->resultado);



   QVBoxLayout *columna1 = new QVBoxLayout;
   columna1->addLayout(linea1);
   columna1->addLayout(linea2);
   columna1->addLayout(linea3);

   QVBoxLayout *columna2 = new QVBoxLayout;
   columna2->addWidget(this->botonSumar);
   columna2->addWidget(this->botonFin);
   columna2->addStretch();

   QHBoxLayout *principal = new QHBoxLayout;
   principal->addLayout(columna1);
   principal->addLayout(columna2);
   this->setLayout(principal);

   this->setWindowTitle(tr("SUMAR"));
   this->setFixedHeight(sizeHint().height());
}

void CDialogoSuma::sumarClicked()
{
    QString dato1 = this->sumando1->text();
    QString dato2 = this->sumando2->text();
    float dato3;
    
    dato3 = dato1.toFloat() + dato2.toFloat();

    this->resultado->setNum((double)dato3);
}

