#include<QtGui>
#include "convertidor.h"

CConvertidor::CConvertidor(QWidget* wPadre): QDialog(wPadre){
   this->setupUi(this);

   this->lineEdit->setText("0");
   this->convertir();
   this->lineEdit->selectAll();
   QObject::connect(this->calculatPushButton_3, SIGNAL(clicked()), this, SLOT(convertir()));
   QObject::connect(this->desdeComboBox, SIGNAL(activated(int)), this, SLOT(convertir()));
   QObject::connect(this->aComboBox_2, SIGNAL(activated(int)), this, SLOT(convertir()));
}


void CConvertidor::convertir(){
   float resultado;
   float aux;

   aux = resultado = this->lineEdit->text().toFloat();

   switch (this->desdeComboBox->currentIndex() ){
      case 0:
         switch (this->aComboBox_2->currentIndex()){
          case 1:
            resultado *= 1000;
            break;
          case 2:
            resultado *= 100000;
            break;
         }
         break;
      case 1:
         switch (this->aComboBox_2->currentIndex()){
            case 0:
              resultado /= 1000;
              break;
            case 2:
              resultado *= 100;
              break;
         }
         break;
      case 2:
        switch (this->aComboBox_2->currentIndex()){
           case 0:
              resultado /= 100000;
              break;
           case 1:
              resultado /= 100;
              break;
        }
        break;
   }

   int decimales = decimalesSpinBox->value();
   resultadoLineEdit->setText(QString::number(resultado, 'f', decimales));
   lineEdit->setText(QString::number(aux, 'f', decimales));
}


         
