#ifndef VENTANAPRINCIPALH
#define VENTANAPRINCIPALH


#include <QMainWindow>


class QAction;
class QLabel;
class QMenu;

class CVentanaPrincipal : public QMainWindow
{
    Q_OBJECT

public:
    CVentanaPrincipal();

private slots:
    void gestorActivarNuevo();
    void gestorActivarAbrir();
    void gestorActivarProbarPar();
    void gestorActivarAcercaDe();
    void gestorActivarSalir();
 
private:
    QMenu* menuArchivo;
    QMenu* menuAyuda;
    QToolBar* barraDeHerramientas;
    QAction* activarNuevo;
    QAction* activarAbrir;
    QAction* activarProbarPar;
    QAction* activarAcercaDe;
    QAction* activarSalir;
    QLabel* widgetCentral;

};

#endif
